Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.groovydoc
Interface GroovyTag

All Known Implementing Classes:
  SimpleGroovyTag

    public interface GroovyTag

Method Summary
Modifier and Type | Method and Description
--- | ---
`String` | `name()` The tag name, e.g.
`String` | `param()` The optional parameter for tags like "throws" and "param".
`String` | `text()` The text associated with the tag.

Method Detail

### name

    String name()

  The tag name, e.g. "deprecated", "param", "see" or "author".

### param

    String param()

  The optional parameter for tags like "throws" and "param".

### text

    String text()

  The text associated with the tag.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD